[Python-modules-commits] [python-daemonocle] 01/01: add autopkgtest support

Adrian Alves alvesadrian-guest at moszumanska.debian.org
Tue May 10 21:44:14 UTC 2016


This is an automated email from the git hooks/post-receive script.

alvesadrian-guest pushed a commit to branch master
in repository python-daemonocle.

commit ce86f35341d6537d58df7bbe2864bc34e4e2b34d
Author: Adrian Alves <aalves at gmail.com>
Date:   Tue May 10 18:44:01 2016 -0300

    add autopkgtest support
---
 debian/control                  | 3 +++
 debian/tests/control            | 6 ++++++
 debian/tests/python-daemonocle  | 3 +++
 debian/tests/python3-daemonocle | 3 +++
 4 files changed, 15 insertions(+)

diff --git a/debian/control b/debian/control
index 91e6e67..61616ef 100644
--- a/debian/control
+++ b/debian/control
@@ -7,14 +7,17 @@ Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
                python-setuptools,
+               python-pytest,
                python-psutil,
                python3-psutil,
                python3-all,
+               python3-pytest,
                python3-setuptools
 Standards-Version: 3.9.7
 Homepage: http://github.com/jnrbsn/daemonocle
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-daemonocle.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-daemonocle.git
+Testsuite: autopkgtest-pkg-python
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..3a14dc9
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,6 @@
+Tests: python-daemonocle
+Depends: python-all, python-pytest, python-psutil, python-click
+
+Tests: python3-daemonocle
+Depends: python3-all, python3-pytest, python3-psutil, python3-click
+
diff --git a/debian/tests/python-daemonocle b/debian/tests/python-daemonocle
new file mode 100644
index 0000000..74c0253
--- /dev/null
+++ b/debian/tests/python-daemonocle
@@ -0,0 +1,3 @@
+#!/bin/sh
+set -e
+for py in $(pyversions -i); do echo "[*] testing $py:"; $py -Wd -m pytest -v -x 2>&1; done
diff --git a/debian/tests/python3-daemonocle b/debian/tests/python3-daemonocle
new file mode 100644
index 0000000..5346484
--- /dev/null
+++ b/debian/tests/python3-daemonocle
@@ -0,0 +1,3 @@
+#!/bin/sh
+set -e
+for py in $(py3versions -i); do echo "[*] testing $py:"; $py -Wd -m pytest -v -x 2>&1; done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/python-daemonocle.git



More information about the Python-modules-commits mailing list